| Home | Libraries | People | FAQ | More

##### http::operator<< (2 of 5 overloads)

Serialize an HTTP/1 message to a `std::ostream`.

###### Synopsis

Defined in header `<boost/beast/http/write.hpp>`

    template<
        bool isRequest,
        class Body,
        class Fields>
    std::ostream&
    operator<<(
        std::ostream& os,
        message< isRequest, Body, Fields > const& msg);

###### Description

The function converts the message to its HTTP/1 serialized representation and stores the result in the output stream.

The implementation will automatically perform chunk encoding if the contents of the message indicate that chunk encoding is required.

###### Parameters

Name | Description
--- | ---
`os` | The output stream to write to.
`msg` | The message to write.